<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Cursos</title>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<div align="center"><strong><font face="Verdana" size="2" color="#800000">Gabarito das Provas</font></strong><br>
		<?
			if (!isset($curso)) {
		?>
		<font face="Verdana" size="2" color="#FF0000">Escolha o <strong>CURSO</strong> que deseja cadastrar o gabarito</font></div>
		<?
			}
			else {
				if ((!isset($materia)) && (isset($curso))) {
			?>
			<font face="Verdana" size="2" color="#FF0000">Escolha a <strong>PROVA</strong> que deseja cadastrar o gabarito</font></div>
			<?
				}
				else {
			?>
			<font face="Verdana" size="2" color="#FF0000">Entre com o gabarito</font></div>
			<?
				}
			}
		?>
	</td>
</tr>
</table>
<?
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="gabarito.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		echo '<br><Br>';
			echo '<strong><div align="center"><a href="listar_gabarito.php?" title="Exibir gabaritos cadastrados"><font face="Verdana" size="2" color="#000000">Exibir gabaritos cadastrados</font></a></div></strong><br><br>';
		$sql_110 = "SELECT * FROM configuracao where codigo = 6";
		$result_110 = mysql_query($sql_110)
			or die ( 'Não foi possível executar a query 161.' );
		while($info_110 = mysql_fetch_array($result_110)) {
			if ( $info_110["chave"] == 1){
				echo '<strong><div align="center"><a href="acao.php?acao=0" title="Liberar exibição do gabarito"><font face="Verdana" size="2" color="#000000">Liberar exibição do gabarito</font></a></div></strong>';
			}
			else {
				echo '<strong><div align="center"><a href="acao.php?acao=1" title="Bloquear exibição do gabarito"><font face="Verdana" size="2" color="#000000">Bloquear exibição do gabarito</font></a></div></strong>';
			}
		}
		exit;
	}
	if (!isset($materia)) {
		// Escolha da Materia
		$sql = "SELECT * FROM cursos where codigo = $curso";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			while($info = mysql_fetch_array($result)) {
				echo '<center><font color="blue" size="2" face ="verdana">' . $info["nome_curso"] . '</font></center>';
			}
		}
		$sql = "SELECT * FROM provas order by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161b.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td valign="top">';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo"] . ' - </font>';
					echo '</td>';
					echo '<td>';
						if ($info["codigo"] != 2) {
						echo '<a href="gabarito.php?curso='.$curso.'&materia=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["materia"]. '</font></a>';
						}
						else {
							echo '<font color = "000000" face ="verdana" size="2">' .$info["materia"]. '';
							$sql_lingua = "SELECT * FROM linguas order by codigo ASC";
							$result_lingua = mysql_query($sql_lingua)
								or die ( 'Não foi possível executar a query 161b.' );
							while($info_lingua = mysql_fetch_array($result_lingua)) {
								echo '&nbsp;&nbsp;&nbsp;&nbsp;<a href="gabarito.php?curso='.$curso.'&materia=' . $info["codigo"]. '&lingua='.$info_lingua["codigo"].'"><font color = "000000" face ="verdana" size="2">' . $info_lingua["lingua"] . '</a> &nbsp;</font>' ;
							}
						echo '</font></a>';
						}
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		exit;
	}
	// Digitação do Gabarito
			$sql = "SELECT * FROM cursos where codigo = $curso";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			while($info = mysql_fetch_array($result)) {
				echo '<b><center><font color="blue" size="2" face ="verdana">' . $info["nome_curso"] . ': ';
			}
		}
		$sql = "SELECT * FROM provas where codigo = $materia";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe a matéria no sistema!!!</center>';
		}
		else {
			while($info = mysql_fetch_array($result)) {
				echo  $info["materia"];
			}
			if (isset($lingua)) {
				$sql_lingua = "SELECT * FROM linguas where codigo = $lingua";
				$result_lingua = mysql_query($sql_lingua)
					or die ( 'Não foi possível executar a query 161b.' );
				while($info_lingua = mysql_fetch_array($result_lingua)) {
					echo  ' - ' . $info_lingua["lingua"];
				}
			}
			echo '</font></center></b>';
		}
		
?>
<br>
<br>
<div align="center"><font face="Verdana" size="2" color="#000000">
<?
	if (!isset($sub1)) {
?>
<form action="gabarito.php" method="post">
Código do Caderno<br>
<input type="text" name="codigo_prova" size="10" maxlength="3"><br>
Informe o numero de questões existente nesta prova<br>
<input type="text" name="numero_questoes" size="10" maxlength="3"><br>
Inicio no formulario do candidato<br>
<input type="text" name="inicia_em" size="10" maxlength="3"><br>
Fim no formulario do candidato<br>
<input type="text" name="finaliza_em" size="10" maxlength="3"><br>
<input type="submit" name="sub1" value="Continuar">
<input type="hidden" name="materia" value="<? echo $materia; ?>">
<input type="hidden" name="curso" value="<? echo $curso; ?>">
<?
	if (isset($lingua)) {
?>
<input type="hidden" name="lingua" value="<? echo $lingua; ?>">
<?
	}
?>
</form>
<?
	exit;
	}
	if (!isset($sub2)) {
?>
<form action="gabarito.php" method="post">
<strong>Entre com o gabarito:</strong><br>

<?
	for ($i = 2; $i <= $numero_questoes+1; $i++) {
		echo 'Questão ';
		 if (($i-1) <=9)
		 	echo '0' . ($i-1);
		else
			echo ($i-1);
		 echo ': <input type="text" name="questao['.($i-1).']" size="2" maxlength="1">&nbsp;&nbsp;&nbsp;Peso Individual: <input type="text" name="peso['.($i-1).']" size="2" maxlength="1">';
		echo '<br>';
		//if (($i%2))
		//	echo '<br>';
	}
?>
<br>
<input type="submit" name="sub2" value="Continuar">
<input type="hidden" name="materia" value="<? echo $materia; ?>">
<input type="hidden" name="curso" value="<? echo $curso; ?>">
<input type="hidden" name="codigo_prova" value="<? echo $codigo_prova; ?>">
<input type="hidden" name="numero_questoes" value="<? echo $numero_questoes; ?>">
<input type="hidden" name="inicia_em" value="<? echo $inicia_em; ?>">
<input type="hidden" name="finaliza_em" value="<? echo $finaliza_em; ?>">
<input type="hidden" name="sub1" value="sim">
<?
	if (isset($lingua)) {
?>
<input type="hidden" name="lingua" value="<? echo $lingua; ?>">
<?
	}
?>

</form>
<?
	exit;
	}
	if (!isset($sub3)) {
?>
	<strong>Confira o gabarito:</strong><br><br><b>
<?
	$respostas = '';
	$peso_provas = '';
	for ($i = 2; $i <= $numero_questoes+1; $i++) {
		echo 'Questão ';
		 if (($i-1) <=9)
		 	echo '0' . ($i-1);
		else
			echo ($i-1);
		 echo ': <font color = "red">'. $questao[($i-1)]. '</font>&nbsp;&nbsp;&nbsp;Peso: <font color = "red">'. $peso[($i-1)] .'</font>';
		//if (($i%2))
			echo '<br>';
		$respostas = $respostas . $questao[($i-1)] . 'X';
		$peso_provas = $peso_provas . $peso[($i-1)] . 'X';
	}
	echo '<br><br>Número de questões: <font color = "red">' . $numero_questoes . '</font><br>';
	echo 'Código da Prova: <font color = "red">' . $codigo_prova . '</font><br>';
	echo 'Inicia em: <font color = "red">' . $inicia_em . '</font><br>';
	echo 'Finaliza em: <font color = "red">' . $finaliza_em . '</font><br></b>';
	echo '<form action="gabarito.php" method="post">';
	echo '<input type="submit" name="sub3" value="C O N F I R M A R       G A B A R I T O" style="font: bold;">';
	echo '<input type="hidden" name="materia" value="'. $materia .'">';
	echo '<input type="hidden" name="curso" value="'. $curso .'">';
	echo '<input type="hidden" name="codigo_prova" value="'. $codigo_prova .'">';
	echo '<input type="hidden" name="numero_questoes" value="'. $numero_questoes .'">';
	echo '<input type="hidden" name="inicia_em" value="'. $inicia_em .'">';
	echo '<input type="hidden" name="finaliza_em" value="'. $finaliza_em .'">';
	echo '<input type="hidden" name="respostas" value="'. $respostas .'">';
	echo '<input type="hidden" name="peso_provas" value="'. $peso_provas .'">';
	echo '<input type="hidden" name="sub1" value="sim">';
	echo '<input type="hidden" name="sub2" value="sim">';
	if (isset($lingua)) {
	echo '<input type="hidden" name="lingua" value="' .$lingua .'">';
	}
	echo '</form>';
	exit;
	}
		//$materia = addslashes(Criptografar($materia,$Chave));
		//$curso = addslashes(Criptografar($curso,$Chave));
		//$codigo_prova = addslashes(Criptografar($codigo_prova,$Chave));
		$numero_questoes = addslashes(Criptografar($numero_questoes,$Chave));
		$inicia_em = addslashes(Criptografar($inicia_em,$Chave));
		$finaliza_em = addslashes(Criptografar($finaliza_em,$Chave));
		$respostas = addslashes(Criptografar($respostas,$Chave));
		$pesos = addslashes(Criptografar($peso_provas,$Chave));
		$sql = "insert into gabarito_conf (curso, materia, numero_questoes, inicia_em, finaliza_em, codigo_prova, codigo_vest) values ('$curso', '$materia', '$numero_questoes', '$inicia_em', '$finaliza_em', '$codigo_prova', '$qual_vestibular')";
        $result = mysql_query($sql)
			or die ( 'Não foi possivel efetuar a inclusao do gabarito parte 1<br>Entre em contato com o suporte.' );

		$sql = "SELECT * FROM gabarito_conf order by codigo DESC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161d.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Erro Interno!!!</center>';
		}
		else {
			$info = mysql_fetch_array($result);
			$codigo_do_gabarito = $info[0];
			//$codigo_do_gabarito = addslashes(Criptografar($codigo_do_gabarito,$Chave));
			if (!isset($lingua)) {
				$lingua = 0;
			}
			$sql = "insert into respostas_gab (codigo_interno, respostas, pesos, le) values ('$codigo_do_gabarito', '$respostas', '$pesos','$lingua')";
    	    $result = mysql_query($sql)
				or die ( 'Não foi possivel efetuar a inclusao do gabarito parte 2<br>Entre em contato com o suporte.' );
		}

		echo '<font face="Verdana" size="3" color="#FF0000"><div align="center"><strong>Gabarito Cadastrado</strong></div></font>';
?>

</font></div>

</body>
</html>
